<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- author: Mario Enrique López López -->
	<!-- date: 2005-12-15 -->
	<!-- version: 1.0 -->
	<!-- Conversor de estructuras con formato root/block/line 
		 a XML, es necesario el elemento block para simplificar
		 el código XSLT
	-->
	<xsl:output method="xml"/>
	<xsl:template match="/root">
		<ALBARANES>
			<xsl:apply-templates/>
		</ALBARANES>
	</xsl:template>
	<xsl:template match="/root/block">
		<ALBARAN>
			<xsl:attribute name="nr"><xsl:value-of select="line/column0"/></xsl:attribute>
			<xsl:choose>
				<xsl:when test="line/column1 != ''">
					<REF>
						<xsl:value-of select="line/column1"/>
					</REF>
				</xsl:when>
			</xsl:choose>
			<DATE>
				<xsl:attribute name="year"><xsl:value-of select="line/column2"/></xsl:attribute>
				<xsl:attribute name="month"><xsl:value-of select="line/column3"/></xsl:attribute>
				<xsl:attribute name="day"><xsl:value-of select="line/column4"/></xsl:attribute>
			</DATE>
			<xsl:choose>
				<xsl:when test="line/column5 != ''">
					<PRECIO>
						<xsl:value-of select="line/column5"/>
					</PRECIO>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column6 != ''">
					<CLI>
						<xsl:value-of select="line/column6"/>
					</CLI>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column7 != ''">
					<CONTR>
						<xsl:value-of select="line/column7"/>
					</CONTR>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column8 != ''">
					<NCLI>
						<xsl:value-of select="line/column8"/>
					</NCLI>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column9 != ''">
					<CIF>
						<xsl:value-of select="line/column9"/>
					</CIF>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column10 != ''">
					<EC>
						<xsl:value-of select="line/column10"/>
					</EC>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column11 != ''">
					<NEC>
						<xsl:value-of select="line/column11"/>
					</NEC>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column12 != ''">
					<TF>
						<xsl:value-of select="line/column12"/>
					</TF>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column13 != ''">
					<NFC>
						<xsl:value-of select="line/column13"/>
					</NFC>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column14 != ''">
					<NFM>
						<xsl:value-of select="line/column14"/>
					</NFM>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column15 != ''">
					<NM>
						<xsl:value-of select="line/column15"/>
					</NM>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column16 != ''">
					<DEST>
						<xsl:value-of select="line/column16"/>
					</DEST>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column17 != ''">
					<P>
						<xsl:value-of select="line/column17"/>
					</P>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column18 != ''">
					<MOD>
						<xsl:value-of select="line/column18"/>
					</MOD>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="line/column24 != ''">
					<PROV>
						<xsl:value-of select="line/column24"/>
					</PROV>
				</xsl:when>
			</xsl:choose>
			<DET>
				<xsl:for-each select="line">
					<xsl:call-template name="__envio"/>
				</xsl:for-each>
				<!-- <xsl:apply-templates /> -->
			</DET>
		</ALBARAN>
	</xsl:template>
	<xsl:template name="__envio">
		<TR>
			<xsl:value-of select="column19"/>;<xsl:value-of select="column20"/>;<xsl:value-of select="column21"/>;<xsl:value-of select="column22"/>;(<xsl:value-of select="column23"/>)</TR>
	</xsl:template>
</xsl:stylesheet>
